ON_3dmGoo Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_archive.h>`

## Public Member Functions

| ON_3dmGoo ()
| ~ON_3dmGoo ()
| ON_3dmGoo (const ON_3dmGoo &)
ON_3dmGoo & | operator= (const ON_3dmGoo &)
void | Dump (ON_TextLog &) const

## Public Attributes

unsigned int | m_typecode
int | m_value
unsigned char * | m_goo
ON_3dmGoo * | m_next_goo
ON_3dmGoo * | m_prev_goo

## Detailed Description

Definition at line 2732 of file opennurbs_archive.h.

## Constructor & Destructor Documentation

ON_3dmGoo::ON_3dmGoo | ( |  | ) |

ON_3dmGoo::~ON_3dmGoo | ( |  | ) |

ON_3dmGoo::ON_3dmGoo | ( | const ON_3dmGoo & |  | ) |

## Member Function Documentation

void ON_3dmGoo::Dump | ( | ON_TextLog & |  | ) | const

ON_3dmGoo& ON_3dmGoo::operator= | ( | const ON_3dmGoo & |  | ) |

## Member Data Documentation

unsigned char* ON_3dmGoo::m_goo

Definition at line 2745 of file opennurbs_archive.h.

ON_3dmGoo* ON_3dmGoo::m_next_goo

Definition at line 2746 of file opennurbs_archive.h.

ON_3dmGoo* ON_3dmGoo::m_prev_goo

Definition at line 2747 of file opennurbs_archive.h.

unsigned int ON_3dmGoo::m_typecode

Definition at line 2743 of file opennurbs_archive.h.

int ON_3dmGoo::m_value

Definition at line 2744 of file opennurbs_archive.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_archive.h